Delulu documentation
Connections
4 endpoints in the Connections API group.
Generated from the typed server contract. Download the complete OpenAPI 3.1 specification.
connections.list
GET
/v1/workspaces/{workspaceId}/connectionsParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
limit | query | no | value |
offset | query | no | value |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"platform": {
"type": "string"
},
"profileId": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"displayName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"expiresAt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"platform",
"profileId",
"username",
"displayName",
"expiresAt"
],
"additionalProperties": false
}
},
"total": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"limit": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
},
"offset": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"data",
"total",
"limit",
"offset"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}connections.remove
DELETE
/v1/workspaces/{workspaceId}/connections/{id}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
No request body.
Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"deleted": {
"type": "boolean"
}
},
"required": [
"deleted"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}connections.mint
POST
/v1/workspaces/{workspaceId}/connections/connect/{platform}Parameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
platform | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"includeInsights": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"client": {
"anyOf": [
{
"type": "string",
"enum": [
"cli",
"mcp"
]
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"url": {
"type": "string"
},
"expiresIn": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"type": "string",
"enum": [
"NaN"
]
},
{
"type": "string",
"enum": [
"Infinity"
]
},
{
"type": "string",
"enum": [
"-Infinity"
]
}
]
},
{
"type": "string",
"enum": [
"Infinity",
"-Infinity",
"NaN"
]
}
]
}
},
"required": [
"url",
"expiresIn"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}connections.confirm Transfer
POST
/v1/workspaces/{workspaceId}/connections/{id}/transferParameters
| Name | In | Required | Type |
|---|---|---|---|
workspaceId | path | yes | string |
id | path | yes | string |
Request body
Required.
application/json
{
"type": "object",
"properties": {
"sourceWorkspaceId": {
"type": "string"
}
},
"required": [
"sourceWorkspaceId"
],
"additionalProperties": false
}Responses
| Status | Meaning |
|---|---|
200 | Success |
401 | UnauthorizedError |
402 | QuotaExceededError |
403 | ForbiddenError |
404 | NotFoundError |
409 | ConflictError |
422 | ValidationError |
429 | RateLimitedError |
Response bodies
200 — application/json
{
"type": "object",
"properties": {
"confirmed": {
"type": "boolean"
}
},
"required": [
"confirmed"
],
"additionalProperties": false
}401 — application/json
{
"$ref": "#/components/schemas/UnauthorizedError"
}402 — application/json
{
"$ref": "#/components/schemas/QuotaExceededError"
}403 — application/json
{
"$ref": "#/components/schemas/ForbiddenError"
}404 — application/json
{
"$ref": "#/components/schemas/NotFoundError"
}409 — application/json
{
"$ref": "#/components/schemas/ConflictError"
}422 — application/json
{
"$ref": "#/components/schemas/ValidationError"
}429 — application/json
{
"$ref": "#/components/schemas/RateLimitedError"
}